Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 17 Jul 2006 10:56:17 -0400

David,

I am not sure I understand your use case yet, but would like to ask if
this intertwining the policy layer and the signaling layer.  In other
words,  whether one party can communicate and whether they may
communicate are two different things.  There are many PSTN services,
such as the Closed User Group (CUG) feature that can be handled at the
signaling layer independent of the fact that one could make the call and
it would go through absent the application of this feature.  Overlaying
these two means that one could be using all the right technical
mechanisms and "can" call, but the service feature causes the call to be
rejected.

You seem to be reinventing the CUG feature via the federation policy.

Mike

> -----Original Message-----
> From: David Schwartz [mailto:[email-masked]] 
> Sent: Monday, July 17, 2006 6:06 AM
> To: Michael Hammer (mhammer); Uzelac, Adam; [email-masked]
> Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate
> 
> I seem to be getting a lot of heat for suggesting the 
> independence of namespace resolution and policy (including 
> security). What I keep hearing is that there needs to be a 
> minimal set of requirements (a.k.a.
> Prime Directives :-) ) for communication (hence the security
> requirements) for "what is the point of knowing where the 
> other party is it cannot be reached".
> 
> By extension this model MUST assume that communication in a 
> federation MUST be symmetric. Both parties MUST be able to 
> initiate communication to each other. If not, than the one 
> who cannot initiate, in essence "knows" where the other party 
> is but cannot communicate, hence violating one of the prime 
> directives of federations.
> 
> This is downright silly. As you will see in the "use case" I 
> am in the process of writing there are complete valid models 
> of federations where this is not the case. Take for example 
> the case of a "closed" club where all members want to RECEIVE 
> traffic only from members of this closed club. One or more of 
> these members may want to additionally SEND traffic to a 
> wider audience while still receiving traffic from only the 
> closed club (why this would happen is discussed in my use 
> case draft). The closed members would need to know where the 
> "open" members are to initiate this communication. By sharing 
> namespace this can be accomplished since all numbers (closed 
> and open) can be known to all members (closed and open) and 
> yet calls originating in closed network would be allowed out 
> based on receiving member policy and calls originating in 
> open network would not be allowed into closed club, again, 
> based on receiving party policy.
> 
> While you may argue that this is a case of peering between 
> two federations the underlying model still mandates 
> asymmetric signaling capabilities and hence my preference for 
> a federation definition comprised only of a single shared 
> namespace with provisions for sharing/informing/negotiating policy.
> 
> Cheers,
> 
> David
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "David Schwartz" <[email-masked]>
Date: Mon, 17 Jul 2006 20:26:40 +0300

Hi Mike

The opposite is true. I contend that the CAN is limited to NO SECURITY
basic SIP signaling capability. This is my objection to the inclusion of
things like TLS in a BASE spec. The MAY is exactly the point I am
focusing on only I am calling the mechanism to determine the MAY --
"policy". The MAY includes security, tome of day and just about any
other rule that may prevent one party from reaching another even though
on the base signaling level this is possible.

Cheers,

David

-----Original Message-----
From: Michael Hammer (mhammer) [mailto:[email-masked]] 
Sent: Monday, July 17, 2006 5:56 PM
To: David Schwartz; Uzelac, Adam; [email-masked]
Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate

David,

Mike